Skip to main content
`Ctrl`+`K`

# DMPlexGetIsoperiodicFaceSF

Obtain periodicity for a mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetIsoperiodicFaceSF(DM dm, PetscInt *num_face_sfs, const PetscSF **face_sfs)

Logically Collective

## Input Parameter

- dm - The `DMPLEX` for which to obtain periodic relation

## Output Parameters

- num_face_sfs - Number of `PetscSF`s in the array

- face_sfs - Array of `PetscSF` in which roots are (owned) donor faces and leaves are faces that must be matched to a (possibly remote) donor face.

## See Also

DMPlex: Unstructured Grids, `DMPLEX`, `DMGetGlobalSection()`, `DMPlexSetIsoperiodicFaceSF()`

## Level

advanced

## Location

src/dm/impls/plex/plexsfc.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages